package cn.teammodel.model.dto.ai;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ChatCompletionReqDto {
    private String sessionId;
    /**
    * 预设的会话 id
    */
    @ApiModelProperty("会话id，没有则为空")
    private String appId;

    @ApiModelProperty("模型类型:  科大讯飞：sparkMax；DeepSeek：deepseek-chat ；DeepSeek深度思考：deepseek-reasoner")
    private String model = "sparkMax";

    @ApiModelProperty("是否保存会话， true 默认保存; false 不保存")
    private boolean isSave = true;

    @NotBlank(message = "请输入消息内容")
    private String text;
}